@echo off

:
: INSTALL.BAT
:
: v1.00 ώ JB ώ 10-Mar-93 ώ Initial release
: v1.01 ώ JB ώ 31-Jan-95 ώ Updated for RIPterm Test Drive v2.00.01
: v1.02 ώ JB ώ 21-Mar-95 ώ Updated for RIPterm Test Drive v2.00.02
: v1.03 ώ JB ώ 27-Mar-95 ώ Updated for RIPterm Test Drive v2.00.03
: v1.04 ώ JR ώ 09-Sep-95 ώ Updated for RIPterm Test Drive v2.11.00
: v1.05 ώ JR ώ 19-Nov-95 ώ Updated for RIPterm Test Drive v2.22.00
: v1.06 ώ JR ώ 28-Nov-95 ώ Updated for RIPterm Test Drive v2.22.01
:
: TeleGrafix Communications, Inc.
: 16458 Bolsa Chica #15
: Huntington Beach, CA  92649
:
: 714/379-2131 Voice ώ 714/379-2132 Fax ώ 714/379-2133 BBS
:
: Internet:rip.support@telegrafix.com
:

cls

echo.ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo.Ί RIPterm Shareware v2.20.01 Installation                   INSTALL.BAT v1.06 Ί
echo.ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
echo.
echo.ΪΔΔ΄ UNREGISTERED VERSION NOTICE ΓΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΏ
echo.³                                                                             ³
echo.³ This is the Unregistered version of RIPterm Shareware!  Owners of the       ³
echo.³ commercial RIPterm Professional 2.11 and earlier should download the patch  ³
echo.³ upgrade(s) from the TeleGrafix BBS, The Vector Sector, at (714) 379-2133,   ³
echo.³ or from our Internet FTP site at ftp.telegrafix.com.                        ³
echo.³                                                                             ³
echo.³ THIS SOFTWARE MAY BE USED FREE FOR "NON-COMMERCIAL" PURPOSES!  REGISTRATION ³
echo.³ IS NOT REQUIRED (EXCEPT FOR COMMERCIAL USE), BUT WILL UNLOCK ADDITIONAL     ³
echo.³ FEATURES OF THE SOFTWARE.  SEE THE FILE README.DOC FOR MORE DETAILS ABOUT   ³
echo.³ REGISTRATION, AND ON ANY RESTRICTIONS FOR COMMERCIAL PURPOSES.              ³
echo.³                                                                             ³
echo.³ To register this shareware edition of RIPterm, you will need a serial       ³
echo.³ number and an activation code from TeleGrafix which you may obtain for US   ³
echo.³ $19.95.  Payment may be made with Visa, Master Card, American Express or    ³
echo.³ with a bank check.  See the file README.DOC for registration information.   ³
echo.³                                                                             ³
echo.ΐΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΩ
echo.
echo.Hit any key to continue with installation, or CTRL-C to quit...

pause >NUL

cls
echo.

if exist SHAREWAR.EXE goto ALL_OK

echo.You must be in the same directory where you ran the file RT22001.EXE.
echo.You apparently are not in that directory right now because the file
echo.SHAREWAR.EXE cannot be found.  Please correct this situation and try
echo.installation again.

goto END


:ALL_OK

if "%1" == "" goto NODIRNAME

echo.RIPterm will be installed in the %1 directory...
echo.
echo.If you would like to install this software to another location, hit 
echo.CTRL-C now, and type INSTALL [directory] (e.g., "INSTALL C:\COMM\RIPTERM").
echo.
echo.Press CTRL-C to abort, or press any other key to continue with installation.
pause > NUL

md %1 > NUL
SHAREWARE -d -o %1

copy README.DOC %1 /Y >NUL

goto DONE


:NODIRNAME

echo.RIPterm will be installed in the C:\RIPTERM directory...
echo.
echo.If you would like to install this software to another location, hit 
echo.CTRL-C now, and type INSTALL [directory] (e.g., "INSTALL C:\COMM\RIPTERM").
echo.
echo.Press CTRL-C to abort, or press any other key to continue with installation.
pause > NUL

md C:\RIPTERM > NUL
SHAREWARE -d -o C:\RIPTERM

copy README.DOC C:\RIPTERM /Y >NUL

C:
cd \RIPTERM

goto DONE


:DONE

cls

echo.
echo. Installation of the Unregistered Version of RIPterm 2.2 is now complete.
echo. 
echo.       ΪΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΏ
echo.       ³        Remember, RIPterm 2.2 is now Shareware!        ³
echo.       ³        ΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔ        ³
echo.       ³ For registration information, see the file README.DOC ³
echo.       ΓΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔ΄
echo.       ³ This software is free for non-commercial purposes.    ³
echo.       ³ Registration is US $19.95.  See the file REGISTER.FRM ³
echo.       ³ and PRODCAT.TXT for info on ordering RIPterm Pro.     ³
echo.       ΐΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΔΩ
echo.
echo.Hit any key to view the file README.DOC.  Hit CTRL-C to exit Installation.  
pause > NUL

type readme.doc | more


pause


cls


if "%1" == "" goto NODIR2


C:
CD \RIPTERM


echo.
echo.ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo.Change over to the directory %1
echo.and type SETUP to configure RIPterm 2.2
echo.ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ

goto END



:NODIR2

echo.
echo.ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
echo.Type SETUP to configure RIPterm 2.2.
echo.ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ

goto END



:END

echo.
